Bug 17654 - Add tests to enforce swagger definition files integrity
Summary: Add tests to enforce swagger definition files integrity
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Kyle M Hall
URL:
Keywords:
Depends on: 17032
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-17 16:09 UTC by Jonathan Druart
Modified: 2018-06-04 20:10 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17654: Add tests to enforce swagger definition files integrity (4.32 KB, patch)
2016-11-17 16:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17654: Add tests to enforce swagger definition files integrity (4.37 KB, patch)
2016-11-17 17:28 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[PASSED QA] Bug 17654: Add tests to enforce swagger definition files integrity (4.44 KB, patch)
2016-11-18 07:25 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-11-17 16:09:37 UTC
The swagger definition error we found on bug 17651 should have been caught earlier with tests.
Comment 1 Jonathan Druart 2016-11-17 16:13:06 UTC
Created attachment 57608 [details] [review]
Bug 17654: Add tests to enforce swagger definition files integrity

The swagger definition error we found on bug 17651 should have been
caught earlier with tests.

Now we are testing for nullable columns.

QA: Have a look at the FIXME

Test plan:
Apply without 17651 (revert if already pushed)
The tests won't pass
On top of 17651 the tests will pass
Comment 2 Tomás Cohen Arazi 2016-11-17 17:28:26 UTC
Created attachment 57609 [details] [review]
Bug 17654: Add tests to enforce swagger definition files integrity

The swagger definition error we found on bug 17651 should have been
caught earlier with tests.

Now we are testing for nullable columns.

QA: Have a look at the FIXME

Test plan:
Apply without 17651 (revert if already pushed)
The tests won't pass
On top of 17651 the tests will pass

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 3 Tomás Cohen Arazi 2016-11-17 17:29:10 UTC
Tested along with 17651 and works like a charm. Also passes qa tests.
Comment 4 Katrin Fischer 2016-11-18 07:25:39 UTC
Created attachment 57615 [details] [review]
[PASSED QA] Bug 17654: Add tests to enforce swagger definition files integrity

The swagger definition error we found on bug 17651 should have been
caught earlier with tests.

Now we are testing for nullable columns.

QA: Have a look at the FIXME

Test plan:
Apply without 17651 (revert if already pushed)
The tests won't pass
On top of 17651 the tests will pass

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 5 Kyle M Hall 2016-11-18 14:04:52 UTC
Pushed to master for 16.11, thanks Jonathan!
Comment 6 Mason James 2016-12-14 11:25:39 UTC
Blocked by enhancement, skipping for 16.05.x